/*************************************************************************************************
*
*
*			ObjectMacZapp			-- a standard Mac OOP application template
*
*
*
*			ZShowOffApplication.h	-- the application object
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZSHOWOFFAPPLICATION__
#define	__ZSHOWOFFAPPLICATION__

#include	"ZApplication.h"



class	ZShowOffApplication : public ZApplication
{
protected:
	OSType	anFType;
	
public:
	ZShowOffApplication();

	virtual void	MakeNewWindow();
	virtual void	UpdateMenus();
	virtual void	HandleCommand( const long aCmd );
	virtual void	OpenFile( const FSSpec& aFile, const OSType fType);
	
	virtual void	StartUp();

	virtual void	OpenDialog(short id);
	virtual void	NewFloater();
	
	virtual void	TestProgress();
	virtual void	TestScan();
};


#define		kTestMenu		131

#define		kDialog1		140
#define		kDialog2		141
#define		kDialog3		142

#define		kFloaterID		130

// commands we define:

enum
{
	kCmdOpenMoveableModal = 129,
	kCmdOpenModal,
	kCmdOpenModeless,
	kCmdTestProgress,
	kCmdScanFolder,
	kCmdNewFloater = 136
};

#endif